---
title: RUM Managed Archives
description: Configure Managed Archives for RUM applications.
breadcrumbs: Docs > API > RUM Managed Archives
---

> For the complete documentation index, see [llms.txt](https://docs.datadoghq.com/llms.txt).

# RUM Managed Archives

Configure Managed Archives for RUM applications. Your organization must have Managed Archives enabled.

Requires `rum_rehydration_filter_read` to list or get configurations, or `rum_rehydration_filter_write` to create, update, or delete them.

## [List archive configurations](https://docs.datadoghq.com/api/latest/rum-managed-archives/list-archive-configurations.md)

| Datadog site      | API endpoint                                                |
| ----------------- | ----------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/rum/config/archive     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/rum/config/archive |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/rum/config/archive |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/rum/config/archive      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/rum/config/archive |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/rum/config/archive |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/rum/config/archive |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/rum/config/archive      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/rum/config/archive  |

## [Get an archive configuration](https://docs.datadoghq.com/api/latest/rum-managed-archives/get-an-archive-configuration.md)

| Datadog site      | API endpoint                                                         |
| ----------------- | -------------------------------------------------------------------- |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/rum/config/archive/{app_id}     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/rum/config/archive/{app_id} |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/rum/config/archive/{app_id} |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/rum/config/archive/{app_id}      |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/rum/config/archive/{app_id} |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/rum/config/archive/{app_id} |
| uk1.datadoghq.com | GET https://api.uk1.datadoghq.com/api/v2/rum/config/archive/{app_id} |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/rum/config/archive/{app_id}      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/rum/config/archive/{app_id}  |

## [Create or update an archive configuration](https://docs.datadoghq.com/api/latest/rum-managed-archives/create-or-update-an-archive-configuration.md)

| Datadog site      | API endpoint                                                         |
| ----------------- | -------------------------------------------------------------------- |
| app.datadoghq.com | PUT https://api.datadoghq.com/api/v2/rum/config/archive/{app_id}     |
| us3.datadoghq.com | PUT https://api.us3.datadoghq.com/api/v2/rum/config/archive/{app_id} |
| us5.datadoghq.com | PUT https://api.us5.datadoghq.com/api/v2/rum/config/archive/{app_id} |
| app.datadoghq.eu  | PUT https://api.datadoghq.eu/api/v2/rum/config/archive/{app_id}      |
| ap1.datadoghq.com | PUT https://api.ap1.datadoghq.com/api/v2/rum/config/archive/{app_id} |
| ap2.datadoghq.com | PUT https://api.ap2.datadoghq.com/api/v2/rum/config/archive/{app_id} |
| uk1.datadoghq.com | PUT https://api.uk1.datadoghq.com/api/v2/rum/config/archive/{app_id} |
| app.ddog-gov.com  | PUT https://api.ddog-gov.com/api/v2/rum/config/archive/{app_id}      |
| us2.ddog-gov.com  | PUT https://api.us2.ddog-gov.com/api/v2/rum/config/archive/{app_id}  |

## [Delete an archive configuration](https://docs.datadoghq.com/api/latest/rum-managed-archives/delete-an-archive-configuration.md)

| Datadog site      | API endpoint                                                            |
| ----------------- | ----------------------------------------------------------------------- |
| app.datadoghq.com | DELETE https://api.datadoghq.com/api/v2/rum/config/archive/{app_id}     |
| us3.datadoghq.com | DELETE https://api.us3.datadoghq.com/api/v2/rum/config/archive/{app_id} |
| us5.datadoghq.com | DELETE https://api.us5.datadoghq.com/api/v2/rum/config/archive/{app_id} |
| app.datadoghq.eu  | DELETE https://api.datadoghq.eu/api/v2/rum/config/archive/{app_id}      |
| ap1.datadoghq.com | DELETE https://api.ap1.datadoghq.com/api/v2/rum/config/archive/{app_id} |
| ap2.datadoghq.com | DELETE https://api.ap2.datadoghq.com/api/v2/rum/config/archive/{app_id} |
| uk1.datadoghq.com | DELETE https://api.uk1.datadoghq.com/api/v2/rum/config/archive/{app_id} |
| app.ddog-gov.com  | DELETE https://api.ddog-gov.com/api/v2/rum/config/archive/{app_id}      |
| us2.ddog-gov.com  | DELETE https://api.us2.ddog-gov.com/api/v2/rum/config/archive/{app_id}  |
